Page cover
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add Website

Add a single website to your account.

POST https://getgeoflow.com/beta/api/add-website/:accountID

Add a single website to your Geoflow account by passing a valid URL (including https) and the Webflow site ID. Optionally provide a name for your website, otherwise one will be randomly generated for you.

Path Parameters

Name
Type
Description

accountID*

String

Your Account ID

Headers

Name
Type
Description

Content-Type*

String

application/json

Authorization*

String

Bearer <TOKEN>

Request Body

Name
Type
Description

websiteURL*

String

Valid Website URL with HTTPS

websiteID*

String

Your Webflow Site ID

websiteName

String

Your Website Name

{
    "status": 201,
    "message": "Success",
    "description": "Your website was successfully added to your Geoflow account."
}
{
    "status": 401,
    "message": "Unauthorized",
    "description": "No API key was provided or you do not have access to this resource. Please provide a valid Geoflow REST API key or contact support."
}
{
    "status": 429,
    "message": "Too Many Requests",
    "description": "You have sent too many requests in a given amount of time. Please wait before sending more requests."
}
{
    "status": 404,
    "message": "Not Found",
    "description": "The endpoint you are trying to access does not exist or has been moved, or an invalid account ID was added as a parameter. Please refer to the Geoflow REST API documentation for further information or contact support."
}
{
    "status": 405,
    "message": "Method Not Allowed",
    "description": "The HTTP method used is not supported for this endpoint. Please refer to the Geoflow REST API documentation for further information or contact support."
}

Last updated

Was this helpful?